> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/react-native/screen-navigation/safe-area.md).

# Safe Area

在移动浏览器中，内容有时会因为状态栏或 Home 指示条等系统 UI 而被遮挡。Appintos SDK 提供了一个函数，用于以像素为单位计算屏幕安全区域（Safe Area）的边距值，以避免这种情况。

尤其是在 iPhone X 及以上设备或某些 Android 设备上，使用全屏的 Web 应用时，系统 UI 经常会遮挡内容。使用下面的函数，可以轻松调整边距，确保内容安全显示。

### `useSafeAreaInsets`

为了防止在移动浏览器中因状态栏或 Home 指示条等系统 UI 导致内容被遮挡，它会以像素为单位计算屏幕安全区域（Safe Area）的边距值。 `useSafeAreaInsets` 可在使用 React Native 开发时使用。

```tsx
import { useSafeAreaInsets } from '@granite-js/native/react-native-safe-area-context';
const { top: safeAreaTop, right: safeAreaRight } = useSafeAreaInsets();
// 导航栏上方边距：safeAreaTop
// 导航栏右侧边距：safeAreaRight + 10
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/react-native/screen-navigation/safe-area.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
